/**
 * GitDocumentDB plugin for remote connection using NodeGit
 * Copyright (c) Hidekazu Kubota
 *
 * This source code is licensed under the Mozilla Public License Version 2.0
 * found in the LICENSE file in the root directory of this source tree.
 */
import nodegit from 'nodegit';
import { RemoteOptions } from './types';
/**
 * Create credential options
 *
 * @throws {@link InvalidURLFormatError} (from createCredentialForGitHub)
 * @throws {@link InvalidRepositoryURLError} (from createCredentialForGitHub)
 * @throws {@link InvalidSSHKeyPathError} (from createCredentialForSSH)
 *
 * @throws {@link InvalidAuthenticationTypeError}
 *
 * @internal
 */
export declare function createCredentialCallback(options: RemoteOptions): nodegit.RemoteCallbacks | {
    credentials: any;
};
//# sourceMappingURL=authentication.d.ts.map